Subject: Re: [PATCH] net/mlx5e: parameter to disable symmetric hash

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Dec 2022 09:01:24 -0800

On Wed, 14 Dec 2022 17:35:42 +0300 Alexandra Kossovsky wrote:
> Some AF_XDP applications assume standard Topelitz hash when spreading
> traffic accross queues via RSS.  MLX5 driver always set "symmetric"
> bit, which results in unexpected queues for any particular connection.
> 
> With this patch is is possible to disable that symmetric bit via
> use_symmetric_hash module parameter, and use the standard Toeplitz hash
> with well-known predictable result, same as for other NICs.

This module param, OTOH, not okay..

[ https://lore.kernel.org/all/[email-masked]/ ]